
quit -sim

vlib work  

#mapping work library to current directory
#vmap [-help] [-c] [-del] [<logical_name>] [<path>]
vmap work  

#compile all .v files to work library
#-work <path>       Specify library WORK
#-vlog01compat      Ensure compatibility with Std 1364-2001
#-incr              Enable incremental compilation
#"rtl/*.v"          rtl directory all .v files, support relative path, need to add ""
#vlog

vlog -work work -vlog01compat -incr "../../project/src/gowin_rpll/gowin_rpll.v"
vlog -work work -vlog01compat -incr "../../project/src/vfb_psram/vfb_psram.vo"

vlog -novopt  \
+incdir+../../project/src/psram_memory_interface_hs/temp/PSRAM/ \
../../project/src/psram_memory_interface_hs/psram_memory_interface_hs.vo

#testbench
vlog -novopt  \
+incdir+../../tb/psram_model/ \
../../tb/psram_model/W955D8MKY.v

vlog -work work -vlog01compat -incr "../../tb/tb.v"
vlog -work work -vlog01compat -incr "../../tb/config/*.v"
vlog -work work -vlog01compat -incr "../../tb/driver/*.v"
vlog -work work -vlog01compat -incr "../../tb/monitor/*.v"
vlog -work work -vlog01compat -incr "../../tb/syn_code/*.v"

vlog -work work -vlog01compat -incr "../../tb/prim_sim.v"

#complie all .vhd files
#-work <path>       Specify library WORK
#-93                Enable support for VHDL 1076-1993
#-2002              Enable support for VHDL 1076-2002
#vcom

#simulate testbench top file
#-L <libname>                     Search library for design units instantiated from Verilog and for VHDL default component binding
#+nowarn<CODE | Number>           Disable specified warning message  (Example: +nowarnTFMPC)                      
#-t [1|10|100]fs|ps|ns|us|ms|sec  Time resolution limit VHDL default: resolution setting from .ini file) 
#                                 (Verilog default: minimum time_precision in the design)
#-novopt                          Force incremental mode (pre-6.0 behavior)

vsim +nowarnTFMPC -L work -novopt -l tb.log work.tb 

#generate wave log format(WLF)......
log -r /*

#open wave window
view wave

#add simulation singals
do tb_wave.do

#set run time
run  -all





