onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {input paramters}
add wave -noupdate -radix ascii       /tb/BMP0_VIDEO_FORMAT   
add wave -noupdate -radix unsigned    /tb/BMP0_PIXEL_CLK_FREQ 
add wave -noupdate -radix unsigned    /tb/BMP0_WIDTH      
add wave -noupdate -radix unsigned    /tb/BMP0_HEIGHT     
add wave -noupdate -radix ascii       /tb/BMP0_OPENED_NAME
add wave -noupdate                    /tb/BMP0_REPEAT      
add wave -noupdate                    /tb/BMP0_LINK 
                                                      
add wave -noupdate -divider {output paramters}        
add wave -noupdate -radix ascii       /tb/BMP0_OUT_VIDEO_FORMAT  
add wave -noupdate -radix unsigned    /tb/BMP0_OUT_PIXEL_CLK_FREQ
add wave -noupdate -radix unsigned    /tb/BMP0_OUTPUTED_WIDTH   
add wave -noupdate -radix unsigned    /tb/BMP0_OUTPUTED_HEIGHT  
add wave -noupdate -radix ascii       /tb/BMP0_OUTPUTED_NAME 
add wave -noupdate -radix unsigned    /tb/BMP0_OUTPUTED_NUMBER   
                                                      
add wave -noupdate -divider {sram paramters}           
add wave -noupdate -radix unsigned    /tb/ADDR_WIDTH  
add wave -noupdate -radix unsigned    /tb/DATA_WIDTH  
add wave -noupdate -radix unsigned    /tb/WR_VIDEO_WIDTH 
add wave -noupdate -radix unsigned    /tb/WR_VIDEO_WIDTH 

add wave -noupdate -divider {driver_inst output}
add wave -noupdate                    /tb/rst_n
add wave -noupdate                    /tb/ch0_pixel_clock
add wave -noupdate                    /tb/ch0_vsync
add wave -noupdate                    /tb/ch0_hsync
add wave -noupdate                    /tb/ch0_data_valid
add wave -noupdate -radix hexadecimal /tb/ch0_data0_r
add wave -noupdate -radix hexadecimal /tb/ch0_data0_g
add wave -noupdate -radix hexadecimal /tb/ch0_data0_b
add wave -noupdate -radix unsigned    /tb/driver_inst0/u_video_gen/u_video_gen_syn/Vs_cnt
add wave -noupdate -radix unsigned    /tb/driver_inst0/u_video_gen/u_video_gen_syn/Hs_cnt

add wave -noupdate -divider {sram control signals}
add wave -noupdate                    /tb/init_calib
add wave -noupdate                    /tb/ddr_ref_clk 
add wave -noupdate                    /tb/memory_clk
add wave -noupdate                    /tb/mem_pll_lock         
add wave -noupdate                    /tb/cmd                       
add wave -noupdate                    /tb/cmd_en                 
add wave -noupdate -radix hexadecimal /tb/addr                   
add wave -noupdate -radix hexadecimal /tb/wr_data               
add wave -noupdate -radix hexadecimal /tb/data_mask       
add wave -noupdate                    /tb/rd_data_valid             
add wave -noupdate -radix hexadecimal /tb/rd_data    
add wave -noupdate                    /tb/O_psram_ck
add wave -noupdate                    /tb/O_psram_ck_n
add wave -noupdate                    /tb/IO_psram_rwds
add wave -noupdate -radix hexadecimal /tb/IO_psram_dq         
add wave -noupdate                    /tb/O_psram_reset_n              
add wave -noupdate                    /tb/O_psram_cs_n    
add wave -noupdate                    /tb/VCC         

add wave -noupdate -divider {input channel signals}
add wave -noupdate                    /tb/ch0_clk_in  
add wave -noupdate                    /tb/ch0_vs_in  
add wave -noupdate                    /tb/ch0_hs_in  
add wave -noupdate                    /tb/ch0_de_in  
add wave -noupdate -radix hexadecimal /tb/ch0_data_in

add wave -noupdate -divider {output channel signals}
add wave -noupdate                    /tb/rd_gen 
add wave -noupdate                    /tb/output_pixel_clk        
add wave -noupdate                    /tb/syn_off0_vs   
add wave -noupdate                    /tb/syn_off0_hs 
add wave -noupdate                    /tb/syn_off0_re   
add wave -noupdate -radix hexadecimal /tb/off0_syn_data 
add wave -noupdate                    /tb/off0_syn_de 

add wave -noupdate -divider {monitor input}
add wave -noupdate                    /tb/m0_clk
add wave -noupdate                    /tb/m0_vs_rgb
add wave -noupdate                    /tb/m0_hs_rgb
add wave -noupdate                    /tb/m0_de_rgb
add wave -noupdate -radix hexadecimal /tb/m0_data0_r
add wave -noupdate -radix hexadecimal /tb/m0_data0_g
add wave -noupdate -radix hexadecimal /tb/m0_data0_b

add wave -noupdate -divider {monitor signal}
add wave -noupdate -radix unsigned    /tb/monitor_inst0/u_video2bmp/bmp_outputed_number
add wave -noupdate                    /tb/monitor_inst0/u_video2bmp/vs_i_fall

add wave -noupdate -divider {end signal}

TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {912366093 ps} 0}
configure wave -namecolwidth 150
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
update
WaveRestoreZoom {891247063 ps} {925431255 ps}
