// Copyright By Vtron  Corporation.
// vtron Confidential Proprietary
// ---------------------------------------------------------------------
// File name         : blueout_ycbcr.v
// Module name       : blueout_ycbcr
// Module Description: 
// Created by: Xianyi
// ---------------------------------------------------------------------
// Release history
// VERSION |   Date      | AUTHOR  |    DESCRIPTION
//   1.0   | 14-Dec-2011 | Xianyi  | initial, Ӧ{R,G,B}=0x007fff
// --------------------------------------------------------------------

`timescale 1ns / 1ps

module blueout_ycbcr
(
  input         rst_ni,
  input         clk_i,
  input         hs_i,
  output [15:0] ycbcr_o
);

//=========================================
wire hs_i_posedge;
reg  cnt;
wire [7:0] y;
wire [7:0] cb;
wire [7:0] cr;
reg  [7:0] cbcr;

reg hs_i_dly0;

//===============================================
always@(posedge clk_i or negedge rst_ni)
    begin
    if (rst_ni==1'b0)
        hs_i_dly0<=1'b0;
    else 
        hs_i_dly0<=hs_i;
    end

assign hs_i_posedge = !hs_i_dly0 & hs_i; //hs_i rising edge

always@(posedge clk_i or negedge rst_ni)
    begin
    if (rst_ni==1'b0)
        cnt<=1'b0;
    else if (hs_i_posedge==1'b1)
        cnt<=1'b0;
    else
        cnt<=cnt+1'b1;
    end

assign y =8'd110; //8'h6e
assign cb=8'd197; //8'hc5
assign cr=8'd67;  //8'h43

always@(posedge clk_i or negedge rst_ni)
    begin
    if (rst_ni==1'b0)
        cbcr<=8'd128;
    else if (cnt==1'b1)//1'b0)
        cbcr<=cb;
    else if (cnt==1'b0)//1'b1)
        cbcr<=cr;
    else
        cbcr<=cbcr;
    end

assign ycbcr_o={y,cbcr};


endmodule
